yi-keymap-vim-0.19.0: Vim keymap for Yi editor

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010
Extensions | OverloadedStrings

Yi.Keymap.Vim.Motion

Description

respecting wrap in gj, g0, etc

gm, go ]], [[, [], ][ [(, [{, ]), ]} ]m, ]M, [m, [M [#, ]# [*, [, ]*, ]

Traversing changelist

# Documentation

data Move Source #

Constructors

Move |

Fields

- moveStyle :: !RegionStyle
- moveIsJump :: !Bool
- moveAction :: Maybe Int -> BufferM ()

data CountedMove Source #

Constructors

CountedMove !(Maybe Int) !Move |

stringToMove :: EventString -> MatchResult Move Source #

regionOfMoveB :: CountedMove -> BufferM StyledRegion Source #

changeMoveStyle :: (RegionStyle -> RegionStyle) -> Move -> Move Source #